<template>
	<view>
		<view :style="{ height: `calc(${globalData.statusBarHeight}rpx + 130rpx)` }"></view>
		<view class="paddding-x-two ">
			<releaseForm @submit="handleSubmit"></releaseForm>
			
		</view>
		<com-navbar :leftIcon="false" :homeShow="false" bgColor="#fff" title="发布"
			:titleStyle="{ color: '#000', fontSize: '32rpx',scrollTopHeader: scrollTopHeader }" />
		<com-tabbar  :list=" [{
					name: '首页',
					icon: '/static/tabbar/tb1.png', 
					selectIcon:'/static/tabbar/td1.png', 
					url: '/pages/home/index',
					type: 'type'
				}, {
					name: '我的需求', 
					icon: '/static/tabbar/tb2.png',
					selectIcon: '/static/tabbar/td2.png', 
					url: '/pages/demand/index',
					type: 'type'
				}, {
					name: '发布', 
					icon: '/static/tabbar/fb.png',
					selectIcon:'/static/tabbar/fb.png', 
					url: '/pages/release/index', 
					type: 'release'
				}, {
					name: '动态',
					icon: '/static/tabbar/tb3.png', 
					selectIcon: '/static/tabbar/td3.png', 
					url: '/pages/order/index',
					type: 'type'
				}, {
					name:'我的' ,
					icon:'/static/tabbar/tb4.png' ,
					selectIcon:'/static/tabbar/td4.png', 
					url: '/pages/my/index',
					type: 'type'
				}]"></com-tabbar>
	</view>
</template>

<script>
	import {addOrderFunction} from '@/api/system/index.js'
	import releaseForm from '@/components/form.vue'
	export default {
		components: {
			releaseForm,
		},
		data() {
			return {
				globalData: getApp().globalData,
				
			}
		},
		onShow() {
			let that = this
		},
		methods: {
			handleSubmit(info){
				console.log(info,'拿到表单')
			},
			handleAdd(){
				addOrderFunction().then(res=>{
					console.log('发布')
				})
			},
		}
	}
</script>

<style scoped>
	@import url("@/css/form.css");
	::v-deep .u-border {
		border: 0 !important;
		background: #F5F5F5 !important;
	}
	
	::v-deep .u-upload__wrap__preview {
		margin: 0 6rpx 10rpx 0 !important;
	}
</style>
